package org.jeecg.modules.basedata.service;

import org.jeecg.modules.basedata.entity.BaseMaterialFileProduct;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * @Description: 物料档案产品
 * @author： jeecg-boot
 * @date：   2021-11-16
 * @version： V1.0
 */
public interface IBaseMaterialFileProductService extends IService<BaseMaterialFileProduct> {

    /**
    * @Author chenchuang
    * @Description //TODO 主表与子表一起新增
    * @Date 2021/11/16 14:53
    * @Param [baseMaterialFileProduct]
    * @return boolean
    */
    void saveMainAndChild(BaseMaterialFileProduct baseMaterialFileProduct);

    /**
    * @Author chenchuang
    * @Description //TODO 主表与子表一起修改
    * @Date 2021/11/16 15:16
    * @Param [baseMaterialFileProduct]
    * @return void
    */
    void updateMainAndChild(BaseMaterialFileProduct baseMaterialFileProduct);

    /**
    * @Author chenchuang
    * @Description //TODO 主表与子表一起删除
    * @Date 2021/11/16 15:40
    * @Param [baseMaterialFileProduct]
    * @return void
    */
    void deleteMainAndChild(BaseMaterialFileProduct baseMaterialFileProduct);
}
