package org.jeecg.common.dto.payment;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
@ApiModel("id")
public class FinanceListEditReqDTO {
    @ApiModelProperty("主表id")
    private String id;
    @ApiModelProperty("子表id")
    private String contentId;
    @ApiModelProperty("状态: 0.未确认 1.确认")
    private String status;
    @ApiModelProperty("收款金额")
    private BigDecimal coPrvice;
    @ApiModelProperty("项目档案--里程碑")
    private String proArchivesMilestone;

    public FinanceListEditReqDTO() {
    }
}
