package org.jeecg.common.dto.payment;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel("收付款单金额请求参数")
@Data
public class SlipPriceReqDTO {
    @ApiModelProperty("项目档案id")
    private String proId;
    @ApiModelProperty("项目档案--里程碑id")
    private String mileId;
    @ApiModelProperty("项目档案--里程碑信息表子表id")
    private String businessId;
    @ApiModelProperty("1.收款单 2.付款单")
    private String type;

    public SlipPriceReqDTO() {
    }
}
