package org.jeecg.common.util;

import com.alibaba.fastjson.JSONObject;
import okhttp3.FormBody;
import okhttp3.OkHttpClient;
import okhttp3.Request;
import org.jeecg.common.util.oaEntity.OaEntity;

import java.io.IOException;

/**
 * 功能描述：访问Oa系统请求
 *
 * @Author: chenchuang
 * @Date: 2021/11/26 15:40
 */
public class OkHttpClientUtil {
    public JSONObject getPost(OaEntity oaEntity){
        JSONObject j=null;
        OkHttpClient okHttpClient=new OkHttpClient();
        okhttp3.RequestBody requestBody = new FormBody.Builder()
                .add("procDefId",oaEntity.getProcDefId())
                .add("title",oaEntity.getTitle())
                .add("tableName",oaEntity.getTableName())
                .add("externalUsername",oaEntity.getExternalUsername())
                .add("tableId",oaEntity.getTableId())
//                .add("procDefId","测试外部流程:1:175034")
//                .add("title","测试外部流程")
//                .add("tableName","外部表单contract-file")
//                .add("externalUsername","chenc")
                .build();
        Request reqa = new Request.Builder()
//                .url("http://127.0.0.1:8090/jeecg-boot/actBusiness/external/apply")
//                .url("http://127.0.0.1:8090/jeecg-boot"+oaEntity.getUrl())
                .url("http://106.15.206.14:8087/jeecg-boot"+oaEntity.getUrl())
                .post(requestBody)
//				 .get()
//				 .method("POST", FormBody.create(MediaType.parse("application/json"),"" ))
//				 .header("token", "eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJleHAiOjE2Mzc5Mzg1NjQsInVzZXJuYW1lIjoiY2hlbmMifQ.4YUvC01eHOeF7_h9Dgt1qeKmAJgWkySMUe59GsA-oH8")
                .build();

        try {
            String resBody = okHttpClient.newCall(reqa).execute().body().string();
            j= JSONObject.parseObject(new String(resBody));
        } catch (IOException e) {
            e.printStackTrace();
        }
        return j;
    }
}
