package org.jeecg.modules.contract.file.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.contract.file.entity.ContractFile;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * @Description: 合同档案
 * @author： jeecg-boot
 * @date：   2021-11-17
 * @version： V1.0
 */
public interface ContractFileMapper extends BaseMapper<ContractFile> {
    /**
    * @Author chenchuang
    * @Description //TODO 合同分页查询
    * @Date 2021/11/25 11:57
    * @Param [page, queryWrapper]
    * @return com.baomidou.mybatisplus.core.metadata.IPage<org.jeecg.modules.contract.file.entity.ContractFile>
    */
    IPage<ContractFile> getPageList(IPage<ContractFile> page, @Param("ew") QueryWrapper<ContractFile> queryWrapper);

    /**
    * @Author chenchuang
    * @Description //TODO 根据id查询合同数据
    * @Date 2021/11/30 11:20
    * @Param [id]
    * @return org.jeecg.modules.contract.file.entity.ContractFile
    */
    ContractFile getContractFileById(@Param("id")String id);
}
